summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorAlexander Larsson <alexl@redhat.com>2016-02-25 15:22:25 +0100
committerAlexander Larsson <alexl@redhat.com>2016-02-25 15:27:37 +0100
commitaefb4b6b82b81fc68103628ae7ed86da9153d1bb (patch)
tree04573ba000ec004bb123a945a82f0ce70334a579 /tests
parent0e595519c1999317c75aa17bb5cd10d9509f6cbe (diff)
downloadxdg-app-aefb4b6b82b81fc68103628ae7ed86da9153d1bb.tar.gz
Add make-test-bundles.sh
Diffstat (limited to 'tests')
-rw-r--r--tests/hello.xdgappbin1332 -> 0 bytes
-rwxr-xr-xtests/make-test-bundles.sh26
-rw-r--r--tests/test-keyring/README3
-rw-r--r--tests/test-keyring/pubring.gpgbin0 -> 1166 bytes
-rw-r--r--tests/test-keyring/secring.gpgbin0 -> 2468 bytes
5 files changed, 29 insertions, 0 deletions
diff --git a/tests/hello.xdgapp b/tests/hello.xdgapp
deleted file mode 100644
index 843e8ad..0000000
--- a/tests/hello.xdgapp
+++ /dev/null
Binary files differ
diff --git a/tests/make-test-bundles.sh b/tests/make-test-bundles.sh
new file mode 100755
index 0000000..3bdc5ce
--- /dev/null
+++ b/tests/make-test-bundles.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+set -e
+
+./make-test-runtime.sh
+./make-test-app.sh
+
+URL=file://`pwd`/repo
+
+REF=`(cd repo/refs/heads; echo app/org.test.Hello/*/master)`
+
+xdg-app build-bundle repo hello.xdgapp org.test.Hello
+xdg-app build-bundle repo hello-key.xdgapp --gpg-keys=test-keyring/pubring.gpg org.test.Hello
+xdg-app build-bundle repo --repo-url=${URL} hello-origin.xdgapp org.test.Hello
+xdg-app build-bundle repo --repo-url=${URL} --gpg-keys=test-keyring/pubring.gpg hello-key-origin.xdgapp org.test.Hello
+
+ostree gpg-sign --repo=repo --gpg-homedir=test-keyring ${REF} 7B0961FD
+
+xdg-app build-bundle repo hello-signed.xdgapp org.test.Hello
+xdg-app build-bundle repo hello-key-signed.xdgapp --gpg-keys=test-keyring/pubring.gpg org.test.Hello
+xdg-app build-bundle repo --repo-url=${URL} hello-origin-signed.xdgapp org.test.Hello
+xdg-app build-bundle repo --repo-url=${URL} --gpg-keys=test-keyring/pubring.gpg hello-key-origin-signed.xdgapp org.test.Hello
+
+REF=`(cd repo/refs/heads; echo runtime/org.test.Platform/*/master)`
+ostree gpg-sign --repo=repo --gpg-homedir=test-keyring ${REF} 7B0961FD
+xdg-app build-bundle --runtime repo --repo-url=${URL} --gpg-keys=test-keyring/pubring.gpg platform.xdgapp org.test.Platform
diff --git a/tests/test-keyring/README b/tests/test-keyring/README
new file mode 100644
index 0000000..7586ed3
--- /dev/null
+++ b/tests/test-keyring/README
@@ -0,0 +1,3 @@
+These are completely random keys, which include the secret key.
+Use these for testing gpg signing, do *NOT* ever use these for any
+real application.
diff --git a/tests/test-keyring/pubring.gpg b/tests/test-keyring/pubring.gpg
new file mode 100644
index 0000000..7879191
--- /dev/null
+++ b/tests/test-keyring/pubring.gpg
Binary files differ
diff --git a/tests/test-keyring/secring.gpg b/tests/test-keyring/secring.gpg
new file mode 100644
index 0000000..03bc3fa
--- /dev/null
+++ b/tests/test-keyring/secring.gpg
Binary files differ